<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia at Jan 20, 2013 ( $Revision$ ) -->
<!-- $HeadURL: https://svn.apache.org/repos/asf/httpcomponents/maven-skin/trunk/src/main/resources/META-INF/maven/site.vm $ -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>HttpClient - HttpComponents HttpMime Module</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20130120" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                        <a href="http://www.apache.org/" id="bannerLeft">
                                        <img src="http://www.apache.org/images/asf_logo_wide.gif" alt="Apache" />
                </a>
                                            <a href="../" id="bannerRight">
                                                <img src="../images/logos/httpcomponents.png" alt="HttpComponents" />
                </a>
            <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
        
                <div class="xleft">
        <span id="publishDate">Last Published: 2013-01-20</span>
                  &nbsp;| <span id="projectVersion">Version: 4.3-alpha1</span>
                      </div>
            <div class="xright">                    <a href="http://www.apache.org/" class="externalLink" title="Apache">Apache</a>
            |
                        <a href="../index.html" title="HttpComponents">HttpComponents</a>
              
        
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
        
                                <h5>HttpComponents</h5>
                  <ul>
                  <li class="none">
                          <a href="../../../../../scp:/people.apache.org/www/hc.apache.org/index.html" title="Home">Home</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/licenses/" class="externalLink" title="License">License</a>
            </li>
                  <li class="none">
                          <a href="../../../../../scp:/people.apache.org/www/hc.apache.org/downloads.cgi" title="Download">Download</a>
            </li>
                  <li class="none">
                          <a href="../../../../../scp:/people.apache.org/www/hc.apache.org/mail.html" title="Mailing Lists">Mailing Lists</a>
            </li>
                  <li class="none">
                          <a href="../../../../../scp:/people.apache.org/www/hc.apache.org/user-docs.html" title="User documents">User documents</a>
            </li>
                  <li class="none">
                          <a href="../../../../../scp:/people.apache.org/www/hc.apache.org/dev-docs.html" title="Developer documents">Developer documents</a>
            </li>
                  <li class="none">
                          <a href="http://wiki.apache.org/HttpComponents/" class="externalLink" title="Wiki (external)">Wiki (external)</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/security/" class="externalLink" title="Security">Security</a>
            </li>
          </ul>
                       <h5>HttpClient Overview</h5>
                  <ul>
                  <li class="none">
                          <a href="../index.html" title="Description">Description</a>
            </li>
                  <li class="none">
                          <a href="../quickstart.html" title="Quick Start">Quick Start</a>
            </li>
          </ul>
                                 <h5>Project Documentation</h5>
                  <ul>
                                                                                                                          <li class="collapsed">
                          <a href="project-info.html" title="Project Information">Project Information</a>
                  </li>
                                                                                                                                            <li class="collapsed">
                          <a href="project-reports.html" title="Project Reports">Project Reports</a>
                  </li>
          </ul>
                       <h5>ASF</h5>
                  <ul>
                  <li class="none">
                          <a href="http://www.apache.org" class="externalLink" title="ASF Home Page">ASF Home Page</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/foundation/" class="externalLink" title="Foundation">Foundation</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/foundation/sponsorship.html" class="externalLink" title="Sponsor Apache">Sponsor Apache</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/foundation/thanks.html" class="externalLink" title="Thanks">Thanks</a>
            </li>
          </ul>
                                                                                                                   <a href="http://www.apache.org/events/current-event.html" title="ApacheCon" class="poweredBy">
        <img class="poweredBy"  alt="ApacheCon" src="http://www.apache.org/events/current-event-125x125.png"    />
      </a>
                                                                                                    <a href="http://maven.apache.org/" title="Maven" class="poweredBy">
        <img class="poweredBy"  alt="Maven" src="http://maven.apache.org/images/logos/maven-feather.png"    />
      </a>
                       
        
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <!-- ==================================================================== --><!-- Licensed to the Apache Software Foundation (ASF) under one --><!-- or more contributor license agreements.  See the NOTICE file --><!-- distributed with this work for additional information --><!-- regarding copyright ownership.  The ASF licenses this file --><!-- to you under the Apache License, Version 2.0 (the --><!-- "License"); you may not use this file except in compliance --><!-- with the License.  You may obtain a copy of the License at --><!--  --><!-- http://www.apache.org/licenses/LICENSE-2.0 --><!--  --><!-- Unless required by applicable law or agreed to in writing, --><!-- software distributed under the License is distributed on an --><!-- "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY --><!-- KIND, either express or implied.  See the License for the --><!-- specific language governing permissions and limitations --><!-- under the License. --><!-- ==================================================================== --><!--  --><!-- This software consists of voluntary contributions made by many --><!-- individuals on behalf of the Apache Software Foundation.  For more --><!-- information on the Apache Software Foundation, please see --><!-- <http://www.apache.org/>. --><div class="section"><h2>HttpMime<a name="HttpMime"></a></h2><p>This module provides support for MIME multipart encoded entities.</p><p><a href="./apidocs/index.html">Javadocs</a></p><p><a href="./xref/index.html">Project sources</a></p><p><a href="./dependencies.html">Dependencies</a> </p><p><a href="./issue-tracking.html">Issue Tracking</a> </p></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
                      
<div class="xleft">Apache HttpComponents, Commons HttpClient, Apache, the Apache feather logo, and the Apache HttpComponents project logo are trademarks of The Apache Software Foundation.</div>
            
<br/>
            
<div class="xleft">All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
                <div class="xright">Copyright &#169;                    1999-2013
                        <a href="http://www.apache.org/">The Apache Software Foundation</a>.
            All Rights Reserved.      
        
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
